Skip to main content
PATCH
cURL

Authorizations

Authorization
string
header
required

Path Parameters

paymentBatchId
string<uuid>
required

The unique ID of the Payment Batch.

Maximum string length: 36

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

Body

application/json

Body

name
string

The name of the Payment Batch.

Required string length: 1 - 256
visible
boolean

Whether the payment batch is visible to other API users

Response

200 - application/json

OK

id
string<uuid>
required

The unique ID of the Payment Batch.

Maximum string length: 36
accountId
string
required

The ID of the account the Payment Batch belongs.

Maximum string length: 16
name
string | null
required

The name of the Payment Batch.

Maximum string length: 256
createdBy
object
required

The creator of the payment batch.

product
object
required
status
enum<string>
required

The status of the Payment Batch.

Available options:
draft,
validated,
confirmed,
started,
completed,
failed,
cancelled
visible
boolean | null
required

Whether the payment batch is visible to other API users

visibleAt
string<date-time> | null
required

Timestamp indicating when the payment batch was made visible. UTC.

confirmedBy
object | null
required

The initiator of the payment batch.

confirmedAt
string<date-time> | null
required

Timestamp indicating when the payment batch was confirmed. UTC.

passedMfaCheckAt
string<date-time> | null
required

Timestamp indicating when the payment batch passed MFA check. UTC.

riskCheckedAt
string<date-time> | null
required

Timestamp indicating when the payment batch was risk checked. UTC.

ordersSentAt
string<date-time> | null
required

Timestamp indicating when the orders were sent. UTC.

createdAt
string<date-time>
required

Timestamp indicating when the payment batch was created. UTC.

updatedAt
string<date-time>
required

Timestamp indicating when the payment batch was updated. UTC.

input
object | null
required
alerts
object[] | null
ordersSummary
object | null